=== knopflerfish.org/osgi/bundles/cm/cm/src/org/knopflerfish/bundle/cm/Makefile ===
#
# Makefile for Gatespace Configuration Management Implementation bundle.
#
# Copyright (c) 2001 Gatespace AB. All Rights Reserved.
#

RCSID = $Id: Makefile,v 1.1.1.1 2004/03/05 20:34:48 wistrand Exp $

TOP_DIR = ../../..

BUNDLES_USED = log_api cm_api

JAVA_SRCS = \
  Activator.java \
  ConfigurationAdminFactory.java \
  ConfigurationStore.java \
  ConfigurationDictionary.java \
  PluginManager.java \
  Update.java \
  UpdateQueue.java \
  ConfigurationDispatcher.java \


include ${TOP_DIR}/makefiles/java.mak
