=== debian/changelog ===
knopflerfish-osgi (2.3.3-3) unstable; urgency=medium

  * Team upload.
  * Remove needless depdency on JRE. (Closes: #735892, #720304, #681763)
  * Depend on DH9.
  * Bump Standards-Version to 3.9.5. No changes were required.
  * Update Vcs- URLs to canonical versions.
  * Make debian/copyright more DEP5-ish.

 -- tony mancill <tmancill@debian.org>  Sat, 18 Jan 2014 15:29:13 -0800

knopflerfish-osgi (2.3.3-2) unstable; urgency=low

  * Team upload.
  * Switch to default-jdk. (Closes: #643518).
  * Bump Standards-Version to 3.9.2. No changes were required.
  * Add missing Vcs-* fields.

 -- Miguel Landaeta <miguel@miguel.cc>  Sat, 22 Oct 2011 20:39:23 -0430

knopflerfish-osgi (2.3.3-1) unstable; urgency=low

  * Initial release (Closes: #478323).

 -- Eric Lavarde <deb@zorglub.s.bawue.de>  Sat, 17 Apr 2010 13:13:00 +0200
