=== debian/control ===
Source: knopflerfish-osgi
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Eric Lavarde <deb@zorglub.s.bawue.de>
Build-Depends-Indep: libasm3-java, default-jdk
Build-Depends: cdbs, debhelper (>= 9), ant
Standards-Version: 3.9.5
Homepage: http://www.knopflerfish.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/knopflerfish-osgi
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/knopflerfish-osgi

Package: libknopflerfish-osgi-framework-java
Architecture: all
Depends: ${misc:Depends}
Suggests: libknopflerfish-osgi-java-doc
Description: Java framework implementing the OSGi R4 version
 OSGi, Open Service Gateway Initiative, specifies an industry standard Java
 application platform, allowing multiple applications, to securely run in a
 single JVM. These programs can share resources as data, functionality and
 threads.
 .
 Applications areas for OSGi ranges from use as a service platform on embedded
 devices, to plugin mechanisms for larger programs. The initial goal of OSGi
 was the embedded market, but other uses are certainly possible. 
 .
 This package specifically provides the framework JAR file.

Package: libknopflerfish-osgi-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: iceweasel | firefox | www-browser
Description: Java framework implementing the OSGi R4 version (docs)
 OSGi, Open Service Gateway Initiative, specifies an industry standard Java
 application platform, allowing multiple applications, to securely run in a
 single JVM. These programs can share resources as data, functionality and
 threads.
 .
 Applications areas for OSGi ranges from use as a service platform on embedded
 devices, to plugin mechanisms for larger programs. The initial goal of OSGi
 was the embedded market, but other uses are certainly possible. 
 .
 This package contains the documentation, currently mainly for the framework.
