=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.knopflerfish.com/releases/([\d\.]+)/knopflerfish_osgi_([\d\.]+)\.jar debian ./debian/clean-sources

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.knopflerfish.com/download.html knopflerfish_osgi_(.*)\.jar

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/knopflerfish-osgi-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/knopflerfish-osgi-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/knopflerfish-osgi/knopflerfish-osgi-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html knopflerfish-osgi-(.*)\.tar\.gz
