## knopflerfish-osgi 5.1.0+dfsg1

=== debian/changelog ===
knopflerfish-osgi (5.1.0+dfsg1-3) unstable; urgency=medium

  * Move to libasm4-java (Closes: #800860)

 -- Felix Natter <fnatter@gmx.net>  Fri, 09 Oct 2015 21:49:58 +0200

knopflerfish-osgi (5.1.0+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Sat, 16 May 2015 08:39:55 -0700

knopflerfish-osgi (5.1.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Moved the package to Git
  * Added myself to Uploaders, removed Eric at his request
  * Bump Standards-Version to 3.9.6 (no changes)
  * Remove all but framework code from upstream source
  * Fix copyright (framework code only)
  * Specify encoding=UTF-8 for javadoc target
  * Minor fix for watch file
  * doc package: include only api/ and framework[commands].html

 -- Felix Natter <fnatter@gmx.net>  Tue, 03 Mar 2015 19:50:12 +0100
