=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: java
 Priority: extra
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Eric Lavarde <deb@zorglub.s.bawue.de>
-Build-Depends-Indep: libasm3-java, default-jdk
+Uploaders: Felix Natter <fnatter@gmx.net>
+Build-Depends-Indep: libasm4-java, default-jdk
 Build-Depends: cdbs, debhelper (>= 9), ant
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.knopflerfish.org/
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/knopflerfish-osgi
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/knopflerfish-osgi
+Vcs-Git: git://anonscm.debian.org/pkg-java/knopflerfish-osgi.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/knopflerfish-osgi.git
 
 Package: libknopflerfish-osgi-framework-java
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: libknopflerfish-osgi-java-doc
-Description: Java framework implementing the OSGi R4 version
+Description: Java framework implementing the OSGi R5 version
  OSGi, Open Service Gateway Initiative, specifies an industry standard Java
  application platform, allowing multiple applications, to securely run in a
  single JVM. These programs can share resources as data, functionality and
@@ -31,7 +31,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: iceweasel | firefox | www-browser
-Description: Java framework implementing the OSGi R4 version (docs)
+Description: Java framework implementing the OSGi R5 version (docs)
  OSGi, Open Service Gateway Initiative, specifies an industry standard Java
  application platform, allowing multiple applications, to securely run in a
  single JVM. These programs can share resources as data, functionality and
