=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[1-9]// \
http://www.knopflerfish.org/releases/([\d\.]+)/knopflerfish_osgi_sdk_([\d\.]+)\.jar debian ./debian/clean-sources
