## knopflerfish-osgi 5.2.0

=== debian/changelog ===
knopflerfish-osgi (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * Restored the exports file in the jar (Closes: #840130, LP: #1631361)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 11 Oct 2016 01:10:45 +0200

knopflerfish-osgi (5.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Install the new 5.2.0 files/links
    - Ignore the Android part
  * Build with the DH sequencer instead of CDBS
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Improved the reproducibility of the Javadoc
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs
  * debian/watch: Track the release tags on GitHub

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Oct 2016 16:33:04 +0200
