=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Felix Natter <fnatter@gmx.net>
-Build-Depends-Indep: libasm4-java, default-jdk
-Build-Depends: cdbs, debhelper (>= 9), ant
-Standards-Version: 3.9.6
+Build-Depends-Indep: libasm-java (>= 5.0), default-jdk
+Build-Depends: debhelper (>= 9), ant
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/knopflerfish-osgi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/knopflerfish-osgi.git
 Homepage: http://www.knopflerfish.org/
-Vcs-Git: git://anonscm.debian.org/pkg-java/knopflerfish-osgi.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/knopflerfish-osgi.git
 
 Package: libknopflerfish-osgi-framework-java
 Architecture: all
