=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=ant

override_dh_auto_build:
	mkdir -p osgi/framework/libs
	ln -s /usr/share/java/asm-all.jar osgi/framework/libs/asm-3.2.jar

	dh_auto_build -- -f ant/bundletasks.xml build_bundle_tasks -Dasm.jar=/usr/share/java/asm-all.jar
	dh_auto_build -- -f osgi/framework/build.xml jar

	javadoc -locale en -encoding "UTF-8" -sourcepath osgi/framework/src -d api -subpackages org.knopflerfish:org.osgi
	cp osgi/framework/doc/index.html framework.html

override_dh_auto_clean:
	-rm -Rf ant/classes
	-rm -Rf ant/lib
	-rm -Rf osgi/framework/libs/*.jar
	-rm -f osgi/framework/resources/tstamp
	-rm -f osgi/framework/resources/version
	-rm -f osgi/framework/resources/exports
	-rm -fr api/ osgi/out
	-rm -f osgi/framework-*.jar
	-rm -f framework.html

get-orig-source:
	uscan --force-download --download-current-version --rename --repack --compression xz
