## knopflerfish-osgi 6.1.1

=== debian/changelog ===
knopflerfish-osgi (6.1.1-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Add Multi-Arch: foreign.

  [ Andreas Tille ]
  * Secure URI in Homepage
  * d/watch:
     - fix fetching tags
     - exclude tags starting with 9
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Use correct machine-readable copyright file URI.
  * Move debhelper-compat from Build-Depends-Indep to Build-Depends.

 -- Andreas Tille <tille@debian.org>  Sun, 02 Feb 2025 18:13:01 +0100

knopflerfish-osgi (6.1.1-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 11:53:15 +0100

knopflerfish-osgi (6.1.1-3) unstable; urgency=medium

  * Build with source=1.7 and target=1.7 (Closes: #895885)

 -- Felix Natter <fnatter@gmx.net>  Sat, 28 Apr 2018 14:19:59 +0200

knopflerfish-osgi (6.1.1-2) unstable; urgency=medium

  * Team upload.

  [ Felix Natter ]
  * Drop -java-doc package due to low popcon (Closes: #893221)
  * Correct description (R5->R6)
  * Priority extra->optional
  * Install NOTICE.txt in main package
  * Bump standards version to 4.1.3

  [ Emmanuel Bourg ]
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 31 Mar 2018 14:03:27 +0200

knopflerfish-osgi (6.1.1-1) unstable; urgency=medium

  [ Felix Natter ]
  * New upstream release
  * Java9 support
  * Update standards-version (no changes)
  * Drop 20_versioned_jar.patch (no longer necessary)
  * Add 10_javac_encoding.patch
  * Build with libosgi-annotation-java

  [ Markus Koschany ]
  * Declare compliance with Debian Policy 4.1.0.
  * Switch to compat level 10.

 -- Felix Natter <fnatter@gmx.net>  Sat, 16 Sep 2017 10:10:35 +0200
