=== debian/control ===
Source: knopflerfish-osgi
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Felix Natter <fnatter@gmx.net>
Section: java
Priority: optional
Build-Depends-Indep: ant,
                     default-jdk-headless,
                     libasm-java,
                     libosgi-annotation-java
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/knopflerfish-osgi
Vcs-Git: https://salsa.debian.org/java-team/knopflerfish-osgi.git
Homepage: https://www.knopflerfish.org/
Build-Depends: debhelper-compat (= 13)

Package: libknopflerfish-osgi-framework-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Java framework implementing the OSGi R6 version
 OSGi, Open Service Gateway Initiative, specifies an industry standard Java
 application platform, allowing multiple applications, to securely run in a
 single JVM. These programs can share resources as data, functionality and
 threads.
 .
 Applications areas for OSGi ranges from use as a service platform on embedded
 devices, to plugin mechanisms for larger programs. The initial goal of OSGi
 was the embedded market, but other uses are certainly possible.
 .
 This package specifically provides the framework JAR file.
